Skip to main content

Sending WhatsApp messages with contact details (deprecated)

Last updated: 16 October 2026

Use the /api/v1/out-messages/whatsapp method to send contact details to the WhatsApp channel.

warning

The /api/v1/out-messages/whatsapp method is deprecated but remains available.

To support BSUID, we recommend that you use the new /api/v2/out-messages/whatsapp method.

File IconSending messages in WhatsApp

Call the method​

To send a message containing contact details to the WhatsApp channel, send a POST request to https://app.edna.io/api/v1/out-messages/whatsapp.

Request example​

{

"sender": "wa_subject_1",
"phone": "+19165550100",
"content": {
"type": "CONTACT",
"name": {
"name": "John Director",
"firstName": "John",
"lastName": "Public"
},
"phones": [
{
"phone": "+19165550101",
"type": "CELL",
"userId": "19165550101"
},
{
"phone": "+19165550199",
"type": "WORK",
},
{
"phone": "+19165550111",
"type": "HOME",
},
],
"addresses": [
{
"city": "Sacramento",
"country": "USA",
"street": "2210 Sloat Way",
"type": "HOME"
},
{
"city": "Sacramento",
"country": "USA",
"street": "2733 Riverside Blvd",
"type": "WORK"
}
],
"emails": [
{
"email": "[email protected]",
"type": "HOME"
},
{
"email": "[email protected]",
"type": "WORK"
}
],
"urls": [
{
"url": "nicesite.com",
"type": "HOME"
},
{
"url": "lovelywork.com",
"type": "WORK"
}
],
"org": {
"company": "Publishing house KnightHood",
"department": "Legal Department",
"title": "Director of the Legal Department"
}
}
}

Request parameters​

ParameterData typeRequirementDescription
outMessageIdstringOptionalInternal identifier of the outgoing message. An external customer system or edna Pulse generates it when sending the message. Maximum string length is 256 characters.
senderstringRequiredSignature name.
To find out the signature name, use the API method for getting the list of channels — the subject parameter. File IconReceiving list of channels
phonestringRequiredRecipient address — a phone number in the E.164 standard format.
Standard pattern: ^+[1-9]\d{1,14}$.
wikipedia.org
To find out the recipient address, use the API method for requesting recipient data — the addresses.address parameter. File IconRequesting client data
contentobjectRequiredObject containing message content.
You should specify:
- the content.name parameter;
- one of the following parameters: content.phones, content.addresses, content.emails, content.urls, or content.org.
content.typestringRequiredMessage content type.
Possible values:
- TEXT — text message;
- IMAGE — image;
- DOCUMENT — document attached to the message;
- VIDEO — message containing a video;
- AUDIO — message containing audio;
- LOCATION — message with coordinates, an address, and a place description. Coordinates are converted to a Google Maps snapshot;
- LIST_PICKER — interactive WhatsApp menu buttons;
- FLOW — message containing WhatsApp Flows.
- CONTACT — message containing contact details.
content.nameobjectRequiredObject containing contact names.
You should specify:
- the content.name.name parameter;
- one of the following parameters: content.name.firstName or content.name.lastName.
content.name.namestringRequiredContact name. Maximum length is 1024 characters.
content.name.firstNamestringOptionalContact first name. Maximum length is 1024 characters.
content.name.lastNamestringOptionalContact last name. Maximum length is 1024 characters.
content.phonesarray of objectsOptionalArray of phone numbers.
content.phones.phonestringOptionalPhone number. Maximum length is 1024 characters.
content.phones.typestringOptionalPhone number type.
Possible values:
- HOME – home;
- WORK – work;
- IPHONE – iPhone;
- MAIN – main;
- CELL – mobile.
content.phones.userIdstringOptionalIf specified, WhatsApp receives the WhatsApp ID — the phone number linked to the account. In this case, the contact is displayed with the “Write” and “Save” buttons. If you don’t specify a value, the contact is displayed with the “Add” button. Maximum length is 1024 characters.
content.addressesarray of objectsOptionalArray of home and work addresses.
Values of the content.addresses parameter are displayed only in the web version of WhatsApp.
content.addresses.citystringOptionalContact city. Maximum length is 1024 characters.
content.addresses.countrystringOptionalContact country. Maximum length is 1024 characters.
content.addresses.streetstringOptionalContact street. Maximum length is 1024 characters.
content.addresses.typestringOptionalContact address type.
Possible values:
- HOME – home;
- WORK – work.
content.emailsarray of objectsOptionalArray of email addresses.
Values of the content.emails parameter are displayed only in the web version of WhatsApp.
content.emails.emailstringOptionalContact email address. Maximum length is 1024 characters.
content.emails.typestringOptionalContact email address type.
Possible values:
- HOME – home;
- WORK – work.
content.urlsarray of objectsOptionalArray of web page addresses.
Values of the content.urls parameter are displayed only in the web version of WhatsApp.
content.urls.urlstringOptionalWeb page address. Maximum length is 1024 characters.
content.urls.typestringOptionalWeb page address type.
Possible values:
- HOME – home;
- WORK – work.
content.orgobjectOptionalObject containing information about the organization.
content.org.companystringOptionalOrganization name. Maximum length is 1024 characters.
content.org.departmentstringOptionalOrganization department. Maximum length is 1024 characters.
content.org.titlestringOptionalContact position. Maximum length is 1024 characters.

Response format​

{
"outMessageId": "string",
"phone": "string"
}

Response example​

{
"outMessageId": "020be4b9-bb7d-781d-8517-913fa44e80e6",
"phone": "+77771234567"
}

Response parameters​

ParameterData typeDescription
outMessageIdstringInternal identifier of the outgoing message. An external customer system or edna Pulse generated it when sending the message.
phonestringRecipient address — a phone number in the E.164 standard format.
Standard pattern: ^+[1-9]\d{1,14}$.
wikipedia.org